<!--<!DOCTYPE html>
<html>
<head>
  <title>Object Detection</title>
</head>
<body>
  <h1>Object Detection</h1>
  <form action="/detect" method="POST" enctype="multipart/form-data">
    <input type="file" name="image">
    <button type="submit">Detect Objects</button>
  </form>
</body>
</html>-->

<!DOCTYPE html>
<html>
<head>
  <title>Object Detection</title>
</head>
<body>
  <h1>Object Detection</h1>
  <form action="/detect" method="POST" enctype="multipart/form-data">
    <input type="file" name="image">
    <button type="submit">Detect Objects</button>
  </form>
  <canvas id="canvas"></canvas>
  <script>
    const canvas = document.getElementById('canvas');
    const ctx = canvas.getContext('2d');

    function drawBoxes(image, boxes) {
      // Draw the image onto the canvas
      const img = new Image();
      img.onload = function() {
        canvas.width = img.width;
        canvas.height = img.height;
        ctx.drawImage(img, 0, 0);

        // Draw the bounding boxes onto the canvas
        for (const box of boxes) {
          const { xmin, ymin, xmax, ymax, class: label } = box;
          const width = xmax - xmin;
          const height = ymax - ymin;
          ctx.strokeStyle = 'red';
          ctx.lineWidth = 2;
          ctx.strokeRect(xmin, ymin, width, height);
          ctx.fillStyle = 'red';
          ctx.font = '16px Arial';
          ctx.fillText(label, xmin + 5, ymin + 20);
        }
      };
      img.src = `data:image/jpeg;base64,${image}`;
    }

    const form = document.querySelector('form');
    form.addEventListener('submit', async function(event) {
      event.preventDefault();
      const formData = new FormData(form);
      const response = await fetch('/detect', {
        method: 'POST',
        body: formData
      });
      const result = await response.json();
      const { image, boxes } = result;
      drawBoxes(image, boxes);
    });
  </script>
</body>
</html>

